## org.apache.commons.math.linear
Class InvalidMatrixException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.math.MathRuntimeException
                      org.apache.commons.math.linear.InvalidMatrixException

All Implemented Interfaces:
  Serializable, MathThrowable

Direct Known Subclasses:
  NonSquareMatrixException, SingularMatrixException

    public class InvalidMatrixException

extends MathRuntimeException

Thrown when a system attempts an operation on a matrix, and that matrix does not satisfy the preconditions for the aforementioned operation.

Version:
  $Revision: 1073253 $ $Date: 2011-02-22 09:40:05 +0100 (mar. 22 févr. 2011) $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version identifier.

Constructor Summary
`InvalidMatrixException(Localizable pattern, Object... arguments)` Construct an exception with the given message.
`InvalidMatrixException(String pattern, Object... arguments)` Deprecated. since 2.2 replaced by `InvalidMatrixException(Localizable, Object...)`
`InvalidMatrixException(Throwable cause)` Construct an exception with the given message.

Method Summary

Methods inherited from class org.apache.commons.math.MathRuntimeException

`createArithmeticException, createArithmeticException, createArrayIndexOutOfBoundsException, createArrayIndexOutOfBoundsException, createConcurrentModificationException, createConcurrentModificationException, createEOFException, createEOFException, createIllegalArgumentException, createIllegalArgumentException, createIllegalArgumentException, createIllegalStateException, createIllegalStateException, createInternalError, createIOException, createNoSuchElementException, createNoSuchElementException, createNullPointerException, createNullPointerException, createParseException, createParseException, createUnsupportedOperationException, getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### InvalidMatrixException

    @Deprecated
    public InvalidMatrixException(String pattern,
                                             Object... arguments)

  Deprecated. since 2.2 replaced by `InvalidMatrixException(Localizable, Object...)`

  Construct an exception with the given message.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.0

### InvalidMatrixException

    public InvalidMatrixException(Localizable pattern,
                                  Object... arguments)

  Construct an exception with the given message.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.2

### InvalidMatrixException

    public InvalidMatrixException(Throwable cause)

  Construct an exception with the given message.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown.
  Since:
    2.0

Copyright (c) 2003-2013 Apache Software Foundation